<h1 mat-dialog-title>Edit Event</h1>
<mat-dialog-content>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Title</mat-label>
    <input matInput [formControl]="titleControl">
    <mat-hint>Enter title</mat-hint>
    <mat-error *ngIf="titleControl.invalid">You must enter an event title.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Description</mat-label>
    <textarea [(ngModel)]="description" matInput></textarea>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Players Fee</mat-label>
    <input matInput type="number" min="0" [formControl]="pfControl">
    <mat-hint>Enter players fee in cent</mat-hint>
    <mat-error *ngIf="pfControl.invalid">You must enter a positive number.</mat-error>
  </mat-form-field>
  <section class="input-section">
    <mat-checkbox [(ngModel)]="enabled">Enabled</mat-checkbox>
  </section>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="onCancelClick()">CANCEL</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">EDIT</button>
</mat-dialog-actions>
